﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="Ektron.Cms.Find.Web.Default" %>

<!DOCTYPE html>

<html>
<head>
    <title><%=Labels["title"] %></title>
    <link href="css/bootstrap.min.css" rel="stylesheet" />
    <script src="js/jquery-1.11.2.min.js"></script>
    <script src="js/bootstrap.min.js"></script>
</head>
<body>
    <form id="form" runat="server">
        <nav class="navbar navbar-default">
            <div class="container-fluid">
                <div class="navbar-header">
                    <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#bs-example-navbar-collapse-1">
                        <span class="sr-only"><%=Labels["navToggle"] %></span>
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                    </button>
                    <span class="navbar-brand"><%=Labels["brand"] %></span>
                </div>
                <div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1">
                    <ul class="nav navbar-nav">
                        <li><asp:LinkButton ID="aIndexAll" runat="server" OnClick="OnIndexAll"><%=Labels["indexAllContent"] %></asp:LinkButton></li>
                        <li><a href="#" onclick="document.location.href = document.location.href; return false;"><%=Labels["refreshPage"] %></a></li>
                    </ul>
                </div>
                <!-- /.navbar-collapse -->
            </div>
            <!-- /.container-fluid -->
        </nav>
        <div class="container">
            <div class="row">
                <div class="col-md-10 col-md-offset-1">
                    <asp:Repeater ID="rptInfoMessages" runat="server">
                        <ItemTemplate>
                            <div class="alert alert-info" role="alert">
                                <button type="button" class="close" data-dismiss="alert" aria-label="<%=Labels["close"] %>"><span aria-hidden="true">&times;</span></button>
                                <strong><%# Eval("Heading") %></strong> <%# Eval("Body") %>
                            </div>
                            </div>
                        </ItemTemplate>
                    </asp:Repeater>
                    <div class="row status">
                        <div class="col-md-10 col-md-offset-1">
                            <asp:Repeater ID="rptStatus" runat="server">
                                <HeaderTemplate>
                                    <div class="panel panel-default">
                                        <div class="panel-heading"><strong><%=Labels["systemStatus"] %></strong></div>
                                        <table class="table">
                                </HeaderTemplate>
                                <ItemTemplate>
                                    <tr>
                                        <td><%# Eval("Name") %></td>
                                        <td><%# Eval("Message") %></td>
                                    </tr>
                                </ItemTemplate>
                                <FooterTemplate>
                                        </table>
							        </div>
                                </FooterTemplate>
                            </asp:Repeater>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </form>
</body>
</html>
